/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-05-14
 * Changed:         2024-09-09
 *
 * */

#ifndef LS_STD_LS_STD_EVENT_HPP
#define LS_STD_LS_STD_EVENT_HPP

/*
 * @doc: package(name: 'event')
 * @doc: event.description('This package provides an event manager and the functionality to through events.')
 * */

#include <ls-std/event/type/EventTypes.hpp>

#include <ls-std/event/Event.hpp>
#include <ls-std/event/EventListener.hpp>
#include <ls-std/event/EventManager.hpp>
#include <ls-std/event/EventParameter.hpp>

#endif
